---
layout: handbook-page-toc
title: PDI Dashboards, Analysis, & Insights
---

## On this page
{:.no_toc}

- TOC
{:toc}

This is a page to aggregate dashboards, analysis, and insights generated or owned by the Product Data Insights team.

### Dashboards

Please see the chart below ([or follow this link](https://app.periscopedata.com/app/gitlab/1013112/Sisense-Usage-Insights?widget=15499554&udv=1634665)) 
to see a list of the most-used dashboards that are owned by members of the Product Data 
Insights team. Note that viewing dashboards in the `gitlab:safe-dashboard` space may require 
additional steps to [obtain SAFE Dashboard access](https://about.gitlab.com/handbook/business-technology/data-team/platform/safe-data/). 
If you have any questions about using and interpreting the insights from these dashboards, 
please reach out to the dashboard owner or tag `@product-analysts` in the `#data` channel on Slack.

<embed width="100%" height="350" src="<%= signed_periscope_url(dashboard: 1013112, chart: 15499554, embed: 'v2') %>">

| Dashboard | Description | Date | SAFE Access Required? |
| ------ | ------ |------ |------ |
| [Product Adoption Dashboard](https://app.periscopedata.com/app/gitlab/771580/Product-Adoption-Dashboard)  | Product KPIs | Ongoing | N |
| [Centralized SMAU/GMAU Dashboard](https://app.periscopedata.com/app/gitlab/758607/Centralized-SMAU-GMAU-Dashboard) | Product KPIs | Ongoing | N |
| [Group Namespace Conversion Metrics](https://app.periscopedata.com/app/gitlab:safe-dashboard/919248/Group-Namespace-Conversion-Metrics) | Leading indicators of how new namespaces convert to paid customers | FY21 Q4 | Y |
| [Stages per Organization (SpO) Deep Dive](https://app.periscopedata.com/app/gitlab:safe-dashboard/919345/Stages-per-Organization-Deep-Dive---SpO) | What are the most common stage adoption paths for new group namespaces? How does the adoption of certain stages correlate with long-term engagement, expansion, and conversion? | FY22 Q1 | Y |
| [Cross-Stage Adoption Dashboard](https://app.periscopedata.com/app/gitlab/869174/Cross-Stage-Adoption-Dashboard) | Analyze how organizations engage with different combinations of stages | FY22 | N |
| [Golden Journey Pathways](https://app.periscopedata.com/app/gitlab/897587/Golden-Journey-Paths) | How effectively are namespaces and instances funneling from one stage to another? | FY22 Q3 | N |
| [Cancellation Reasoning](https://app.periscopedata.com/app/gitlab:safe-dashboard/919393/Cancellation-Reasoning-Dashboard) | Self-reported reasons and verbatims that Saas customers are cancelling in CustomersDot | Ongoing | Y |
| [Junkmail Domain Analysis](https://app.periscopedata.com/app/gitlab:safe-dashboard/939155/Growth:Conversion-SaaS-PII-Trial-Analysis) | How many junkmail and freemail domains are registering for SaaS trials? | FY22 Q4 | Y |
| [Deep Dive on SSO Logins](https://app.periscopedata.com/app/gitlab:safe-dashboard/919266/Growth:Adoption-Deep-Dive-on-SSO-Logins) | Takes a deep look into registrations that are created through SSO and what their subsequent product usage looks like | FY23 Q2 | Y |
| [SaaS Purchase Funnel](https://app.periscopedata.com/app/gitlab:safe-dashboard/1022191/Saas-purchase-flow-funnel-(all-views-to-checkout-page))| Purchase funnel for SaaS subscriptions.| FY23 Q2 | Y |
| [Self-Managed Purchase Funnel via Customer Portal](https://app.periscopedata.com/app/gitlab:safe-dashboard/1019118/Subscription-purchase-flow-for-Customer-Portal)| Purchase funnel for Self-Managed subscriptions through Customer portal| FY23 Q2 | Y |
| [SaaS Purchase Funnel](https://app.periscopedata.com/app/gitlab:safe-dashboard/1022191/Saas-purchase-flow-funnel-(all-views-to-checkout-page))| Purchase funnel for SaaS subscriptions.| FY23 Q2 | Y |
| [Trial Feature Adoption](https://app.periscopedata.com/app/gitlab:safe-dashboard/919403/Trial-Feature-Adoption-Dashboard) |  | FY23 Q3 | Y |
| [Usage PQL Analysis](https://app.periscopedata.com/app/gitlab:safe-dashboard/926643/Growth:Conversion-Usage-PQL-Analysis) |  | FY23 Q3 | Y |
| [GMAU Crossover](https://app.periscopedata.com/app/gitlab/1061102/GMAU-Crossover) | To provide visibility into how GMAUs may be impacted by the use of other GMAUs.| FY23 Q3 | N |
| [Growth Metrics](https://app.periscopedata.com/app/gitlab:safe-dashboard/1067009/Growth-Metrics) | Describes and illustrates the Growth team's most important metrics and performance indicators. | Ongoing | Y |
| [User Attributes Relationship to Paid Conversion](https://app.periscopedata.com/app/gitlab:safe-dashboard/1052091/User-Attributes-Relationship-to-Paid-Conversion) | A broad analysis of user attributes identifiable upon Gitlab.com registration and their relationship to paid conversion. | FY23 Q3 | Y |
| [Configure Feature Adoption by License Size and Industry](https://app.periscopedata.com/app/gitlab:safe-dashboard/1074058/Configure-Feature-Adoption-by-Installation-Size-and-Industry) | View how Configure features are being adopted by namespaces of different license sizes and industries | FY23 Q3 | Y | 
| [Respond Group Dashboard](https://app.periscopedata.com/app/gitlab/1032030/Respond-Group-Dashboard) | Describes and illustrates the Respond / Monitor team's most important metrics and performance indicators. | FY23 Q3 | N |
| [Verify Performance Indicator Dashboard](https://app.periscopedata.com/app/gitlab/1074396/Verify-Performance-Indicator-Dashboard) | Describes and illustrates the Verify team's most important metrics and performance indicators. | FY23 Q4 | N |
| [Release Performance Indicator Dashboard](https://app.periscopedata.com/app/gitlab/1093486/Release-Performance-Indicator-Dashboard) | Describes and illustrates the Respond / Monitor team's most important metrics and performance indicators. | FY23 Q4 | N |
| [GMAU Churn Analysis](https://app.periscopedata.com/app/gitlab/1088141/GMAU-Churn-Analysis-Dashboard)|A step-by-step tool for identifying reported GMAU trends.| FY23 Q4 | N |
| [Feature Retention 2.0](https://app.periscopedata.com/app/gitlab/1003214/Feature-Retention) | View event-level adoption and retention for SaaS and Self-Managed.| FY23 Q4 | N |
| [Time to First Adoption](https://app.periscopedata.com/app/gitlab/1088268/Time-to-First-Adoption)| By plan-level, see the days till inital adoption of all SaaS events.| FY23 Q4 | N |
| [Service Integration Impact Dashboard](https://app.periscopedata.com/app/gitlab:safe-dashboard/1106686/Service-Integration-Impact) | Shows how different service integrations impact event adoption among paid namespaces. | FY24 Q1 | Y |
| [Cloud Licensing Adoption Dashboard](https://10az.online.tableau.com/#/site/gitlab/views/WIPCloudLicensingPOC/CloudLicensingAdoption?:iid=1) | This dashboard provides insights on adoption of Cloud Licensing | FY24 Q1 | Y |

### Analysis & Insights

| Analysis | Description | Date |
| ------ | ------ |------ |
| [Stage Adoption Patterns: SCM <> Code Review <> CI](https://docs.google.com/presentation/d/1BcRhn8kJZTw8QcWSQLAk9mv72lJfk4d2jteGWCBYfo4/edit?usp=sharing) | How do organizations go from using SCM to Verify, and is Code Review used between or after these stages? | FY22 Q1 |
| [Secure Free-to-Paid Funnel and Feature Adoption Analysis](https://docs.google.com/presentation/d/1bbvfsNzKoZw4kCYB9coexiXzPiLZ5E3XPe6hOsbZlag/edit?usp=sharing) | Which Secure features are the most adopted during trials and which features have the highest correlation with Ultimate plan paid conversion? | FY22 Q2 |
| [Paid SpO Trends among Retained and Churned Namespaces](https://docs.google.com/presentation/d/1RR5qwaE2E2OUtfSgU53GMs8FHjexNx2CFJcUbtiNS-0/edit?usp=sharing) | What stage adoption trends are present when looking at churning namespaces vs.retained namespaces? | FY22 Q3 |
| [SSO Login Deep Dive Analysis](https://docs.google.com/presentation/d/1j66MejLh8uKhUDUkSVIhPLI79M1LtbgCSxuvJKzRRaI/edit?usp=sharing) | Takes a deep look into registrations that are created through SSO and what their subsequent product usage looks like | FY22 Q2 |
| [FY22-Q3 xMAU Estimation Exploration](https://docs.google.com/presentation/d/1ifKhhGw2rWF33g22n42bdD6Yqq6m3o_djqxo6qvJVoo/edit?usp=sharing) | Exploration into viability of different Self-Managed estimation methodologies using data models available in August 2021 | FY22 Q3 |
| [SaaS Trial Firmographic Analysis](https://docs.google.com/presentation/d/1ME_rD5pweUKIkkD-xXsEZkWjdxqRwzxrfEqEph_dJ4o/edit?usp=sharing) |  | FY22 Q4 |
| [User Impact of Turning Off Certificate-Based Clusters](https://gitlab.com/gitlab-data/product-analytics/-/issues/299#note_877785073) | How many users (internal and external) will be affected by turning off certificate-based clusters? | FY23 Q1 | 
| [SaaS & Self-Managed Purchase Funnel Analysis Overview](https://docs.google.com/presentation/d/1OGRGCia7cmXRELBmYV3-b59tmonmAQgOCPXMZ91qw5Y/edit#slide=id.g120637fa0fc_0_0) | Deep dive analysis with multiple insights for SaaS & Self-Managed purchase funnel| FY23 Q2 |
| [FY23-Q2 xMAU Estimation Exploration](https://docs.google.com/presentation/d/1lKAvTid3agGfgOAgmreBZBVa2_7YU5DViYw-AvRKFyM/edit?usp=sharing)| Exploration into viability of different Self-Managed estimation methodologies using data models available in July 2022 | FY23 Q2 |
| [Release Stage Retention: SaaS vs Self-Managed](https://gitlab.com/gitlab-data/product-analytics/-/issues/427#note_969892541) | What is causing the large discrepancy between Release retention on SaaS vs Release retention on Self-Managed? | FY23 Q2 | 
| [Projects and Namespaces that use GitLab.com Terraform State](https://gitlab.com/gitlab-data/product-analytics/-/issues/263#note_903422594) | A deep dive into the percentage of projects and namespaces use the GitLab.com Terraform state. | FY23 Q2 | 
| [Characterize CI -> SAST Funnel among Free Projects](https://gitlab.com/gitlab-data/product-analytics/-/issues/709#note_1109629880) |Analysis to understand how SAST usage churns over time, and how much of this churn is due to dormant projects (that aren't using CI) vs. active projects that disable SAST. | FY23 Q3 | 
| [Relationship between Sec Section Features & Ultimate Customer's Purchase Decisions](https://gitlab.com/gitlab-data/product-analytics/-/issues/624#note_1041184439) | Dissection of post purchase survey data to identify how important Sec features were in motivating Ultimate plan purchases. | FY23 Q3 | 
| [Free vs. Paid. vs OSS/EDU Subscriptions: Engagement Comparison](https://gitlab.com/gitlab-data/product-analytics/-/issues/549#note_1019828866) | Comparison of similar metrics (SpO, user-stage engagement, Service Ping Opt-In rate, version adoption rate, etc) based on subscription type (Paid, Free, OSS/EDU) | FY23 Q3 | 
| [Verify Usage Patterns for Legitimate users & Malicious Users](https://gitlab.com/gitlab-data/product-analytics/-/issues/656#note_1092057211) | Study of initial concurrent pipeline & job usage among free accounts to determine benchmarks between legitimate and malicious users | FY23 Q3 | 
| [Valuable Signup Metric 2022](https://docs.google.com/presentation/d/1xHBrnvwdMxQGqmX0TtcQz5tUYsAeU6CAMnpcDlhHUpc/edit?usp=sharing) | Covers the development of a Growth and Marketing metric used to narrow down to a subset of the Gitlab.com user population with a higher likelihood of converting to paid. | FY23 Q3 | 
| [Understand User Adoption of Truncating Container Registry Image Name](https://gitlab.com/gitlab-data/product-analytics/-/issues/706#note_1118258405) | A deep dive into the usage of truncating registry image names to determine rollout to all users | FY23 Q3 |
| [SaaS Team Activation Metric 2022](https://docs.google.com/presentation/d/1rJG8FaqEjfgA-Nz9Ww3blgcUwRGzri7CeKkn1e2eEHY/edit?usp=sharing) | Covers the development of a Growth and Marketing metric used to identify team actions performed in the 1st 14 days that are predictive of paid conversion and retention. | FY23 Q4 | 
| [Secrets Management Usage Spike](https://gitlab.com/gitlab-data/product-analytics/-/issues/764#note_1145165090) | What caused a spike in Secrets Management Usage in August 2022? | FY23 Q3 | 
| [Investigation How Remote:Include Timeouts on GitLab.com](https://gitlab.com/gitlab-data/product-analytics/-/issues/727#note_1156508624) | This analysis investigates why there was a large spike in HTTP 503 errors when running pipelines | FY23 Q4 | 
| [Verify Benchmark Analysis](https://app.periscopedata.com/app/gitlab/1108418/Verify-Benchmark-Dashboard) | This analysis was done to get an understanding of what typical test environments look like for Verify users | FY23 Q4 | 
| [Delayed Value Analysis](https://gitlab.com/gitlab-data/product-analytics/-/issues/781#note_1153295255) | Studies key feature usage among Trial-to-Paid conversions and presents how trial feature adoption expedites paid feature adoption.| FY23 Q4 |
| [CI Runner Usage for Accounts with 1000+ Seats](https://gitlab.com/gitlab-data/product-analytics/-/issues/603#note_1095355443) | Study of the CI Runner Usage of large accounts with more than 1000+ | FY23 Q4 | 
| [Analysis of User Caps feature usage and account growth](https://gitlab.com/gitlab-data/product-analytics/-/issues/794#note_1149817915) | This analysis gives us insights on correlation between 'User Cap' feature usage and growth metrics| FY23 Q4 |
| [Analysis on behavior of Change Linked Namespace flow](https://gitlab.com/gitlab-data/product-analytics/-/issues/870#note_1207139514) | This analysis gives us insights on how many SaaS subscriptions change their assigned Namespace| FY23 Q4 |
| [Groups per Organization Metric Exploration](https://gitlab.com/gitlab-data/product-analytics/-/issues/982#note_1282380262) | Establishes usage benchmarks (days used per month and consecutive months used) for group event usage.| FY24 Q1 |
| [Release AMAU Decline Investigation](https://gitlab.com/gitlab-data/product-analytics/-/issues/933#note_1254640824) | What caused the decline of Release AMAU from November 2022? | FY24 Q1 | 
| [Average Environments for Namespaces and Projects](https://gitlab.com/gitlab-data/product-analytics/-/issues/929#note_1321275080) | This analysis covers what the average number of environments and environment variables projects and namespaces on GitLab.com use | FY24 Q1 |
| [Payments declined due to lack of 3D Secure Authentication](https://gitlab.com/gitlab-data/product-analytics/-/issues/946#note_1252097963) | This analysis gives us insights on how many payments are declined because we lack 3D Secure functionality| FY24 Q1 |
| [Understanding user accounts with invalid zip/city combination](https://gitlab.com/gitlab-data/product-analytics/-/issues/1023#note_1307758646) | This analysis gives us insights on the impact of how many customers can not purchase a subscription if they have an invalid zip/city combination| FY24 Q1 |
